ServerEvents.recipes(event => {
  event.remove({ output: 'industrialforegoing:machine_frame_pity' });
  event.remove({ output: 'industrialforegoing:infinity_nuke' });
  event.remove({ output: 'industrialforegoing:infinity_drill' });
  event.remove({ output: 'industrialforegoing:infinity_saw' });
  event.remove({ output: 'industrialforegoing:infinity_hammer' });
  event.remove({ output: 'industrialforegoing:infinity_trident' });
  event.remove({ output: 'industrialforegoing:infinity_backpack' });
  event.remove({ output: 'industrialforegoing:infinity_launcher' });
  event.remove({ output: 'industrialforegoing:machine_frame_simple' });
  event.remove({ output: 'industrialforegoing:machine_frame_advanced' });
  event.remove({ output: 'industrialforegoing:machine_frame_supreme' });
  event.custom({
    type: 'ars_nouveau:enchanting_apparatus',
    output: {
      item: 'industrialforegoing:machine_frame_pity'
    },
    pedestalItems: [
      { item: 'naturesaura:sky_ingot' },
      { item: 'naturesaura:sky_ingot' },
      { item: 'create:bar_of_chocolate' },
      { item: 'create:bar_of_chocolate' },
      { item: 'create:precision_mechanism' },
      { item: 'create:precision_mechanism' },
      { item: 'minecraft:sculk' },
      { item: 'minecraft:sculk' }
    ],
    reagent: {
      item: 'thermal:machine_frame'
    },
    source_cost: 3000,
    keep_nbt_of_reagent: false
  })

    event.recipes.industrialforegoing.dissolution_chamber(
    [
      'alexsmobs:rainbow_jelly',
      'alexsmobs:rainbow_jelly',
      'alexsmobs:rainbow_jelly',
      'alexsmobs:rainbow_jelly',
      'alexsmobs:rainbow_jelly',
      'alexsmobs:rainbow_jelly',
      'alexsmobs:rainbow_jelly',
      'alexsmobs:rainbow_jelly'
    ],
    Fluid.of('supplementaries:lumisene', 3000), // input fluid + amount (mB)
    Item.of('minecraft:sculk', 4),            // output item (+ count)
    240        // processing time in ticks (20 ticks = 1s) → 6s here
  )
  // (optional) also produce an output fluid:
  // .outputFluid(Fluid.of('minecraft:water', 250))
  .id('minecraft:sculk');


      event.recipes.industrialforegoing.dissolution_chamber(
    [
      'industrialforegoing:plastic',
      'industrialforegoing:machine_frame_pity',
      'industrialforegoing:plastic',
      'botania:manasteel_ingot',
      'botania:manasteel_ingot',
      'industrialforegoing:pink_slime_ingot',
      'bloodmagic:arcaneashes',
      'industrialforegoing:pink_slime_ingot'
      
    ],
    Fluid.of('thermal:crude_oil', 3000), // input fluid + amount (mB)
    Item.of('industrialforegoing:machine_frame_simple', 1),            // output item (+ count)
    240        // processing time in ticks (20 ticks = 1s) → 6s here
  )
  // (optional) also produce an output fluid:
  .outputFluid(Fluid.of('industrialforegoing:sewage', 250))
  .id('industrialforegoing:machine_frame_simple');

        event.recipes.industrialforegoing.dissolution_chamber(
    [
      'industrialforegoing:plastic',
      'industrialforegoing:machine_frame_simple',
      'industrialforegoing:plastic',
      'thermal:bitumen',
      'thermal:bitumen',
      'minecraft:netherite_ingot',
      'bloodmagic:lavacrystal',
      'minecraft:netherite_ingot'
      
    ],
    Fluid.of('create:chocolate', 2500), // input fluid + amount (mB)
    Item.of('industrialforegoing:machine_frame_advanced', 1),            // output item (+ count)
    240        // processing time in ticks (20 ticks = 1s) → 6s here
  )
  // (optional) also produce an output fluid:
  .outputFluid(Fluid.of('industrialforegoing:sludge', 1250))
  .id('industrialforegoing:machine_frame_advanced');

        event.recipes.industrialforegoing.dissolution_chamber(
    [
      'industrialforegoing:plastic',
      'industrialforegoing:machine_frame_advanced',
      'industrialforegoing:plastic',
      'botania:elementium_ingot',
      'botania:elementium_ingot',
      'forbidden_arcanus:deorum_ingot',
      'botania:corporea_index',
      'forbidden_arcanus:deorum_ingot'
      
    ],
    Fluid.of('industrialforegoing:ether_gas', 1750), // input fluid + amount (mB)
    Item.of('industrialforegoing:machine_frame_supreme', 1),            // output item (+ count)
    240        // processing time in ticks (20 ticks = 1s) → 6s here
  )
  // (optional) also produce an output fluid:
  .outputFluid(Fluid.of('minecraft:milk', 350))
  .id('industrialforegoing:machine_frame_supreme');
})
